﻿@model Tuple<List<ItemMasterView>, bool>
<div id="TableItems">
    <table class="table table-striped">
        <thead>
            <tr>
                <th>&nbsp;</th>
                <th>@PurchaseOrders.Code</th>
                @if (Model.Item2)
                {
                    <th>@PurchaseOrders.BPCN</th>
                }
                <th>@PurchaseOrders.Description</th>
                @if (Model.Item1.Count > 0)
                {
                    if (Model.Item1.FirstOrDefault().MappedUdf.Count > 0)
                    {
                        foreach (var DictRow in Model.Item1.FirstOrDefault().MappedUdf)
                        {
                            <th>@DictRow.UDFDesc</th>
                        }
                    }
                }
                <th>&nbsp;</th>
            </tr>
        </thead>
        <tbody>

            @if (Model.Item1 != null)
            {
                foreach (ItemMasterView item in Model.Item1)
                {
                    <tr>
                        <td>
                            <input type="checkbox" value='@item.ItemCode'>
                        </td>
                        <td>@item.ItemCode  </td>
                        @if (Model.Item2)
                        {
                            <td>@item.Substitute</td>
                        }
                        <td>@item.ItemName</td>
                        @if (item.MappedUdf.Count > 0)
                        {
                            foreach (var DictRow in item.MappedUdf)
                            {
                                <td>
                                    @if (DictRow.ListUFD1.Count > 0)
                                    {
                                        foreach (var interna in DictRow.ListUFD1)
                                        {
                                            if (interna.FldValue == DictRow.Value)
                                            {
                                                <span>@interna.Descr</span>
                                            }
                                        }
                                    }
                                    else
                                    {
                                        <span>@DictRow.Value</span>
                                    }
                                </td>
                            }
                        }
                        <td>
                            <a href='#'>
                                @if (item.hasStock)
                                {
                                    <span class="glyphicon glyphicon-ok" onclick="GetStock('@item.ItemCode')"></span>
                                }
                                else
                                {
                                    <span class="glyphicon glyphicon-remove"></span>
                                }
                            </a>

                        </td>
                    </tr>
                }
            }
        </tbody>
    </table>
</div>

<script type="text/javascript">

    function GetStock(item) {

        $.ajax({
            url: '/Purchase/PurchaseOrder/GetItemStock',
            contextType: 'application/html;charset=utf-8',
            data: { ItemCode: item },
            type: 'POST',
            dataType: 'html'
        }).done(function (data) {

            alertify.alert(data);

        });


    }

</script>